#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gc
Version		:	8.2.4
Release		:	14.8.0.0%{?dist}
Summary		:	The Boehm-Demers-Weiser conservative garbage collector

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	http://www.hboehm.info/gc/gc_source

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	automake
BuildRequires	:	libtool
BuildRequires	:	gcc-c++

#-----------------------------------------------------------------------------
%description
The Boehm-Demers-Weiser conservative garbage collector can be
used as a garbage collecting replacement for C malloc or C++ new.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_libdir}/libgccpp.so.1*
%{_libdir}/libcord.so.1*
%{_libdir}/lib%{name}.so.1*
%{_libdir}/libgctba.so.1*

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig
#=============================================================================
%package		devel
Summary		:	Libraries and header files for %{name} development

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
%{summary}

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}.h
%{_includedir}/%{name}_cpp.h
%{_includedir}/%{name}/*.h
%{_libdir}/libgctba.so
%{_libdir}/libgccpp.so
%{_libdir}/libcord.so
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/bdw-%{name}.pc
%{_defaultdocdir}/%{name}-%{version}/*
%{_mandir}/man3/%{name}.3.gz

#=============================================================================
%prep
%setup -q

#building application
%build

#-----------------------------------------------------------------------------
./autogen.sh
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--sharedstatedir=%{_var}/lib			\
	--localstatedir=%{_var}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-cplusplus				\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete
#-----------------------------------------------------------------------------
%changelog
